#ifndef PADGEOMETRYCHECKER_H
#define PADGEOMETRYCHECKER_H

#include "marlin/Processor.h"
#include "lcio.h"
#include <string>

using namespace lcio ;
using namespace marlin ;


/** PadGeometryCheckerProcessor: take the xml gear geometry file and print out simple stuff about the pad layout; basically completely copoied from the HepRepOutput by J. Abernathy
    @author Ch. Rosemann, DESY
 */
class PadGeometryChecker : public Processor 
{
 public:
  PadGeometryChecker();
  virtual ~PadGeometryChecker();
  
  Processor * newProcessor();

  void init();
  void processRunHeader (LCRunHeader *run);
  virtual void processEvent(LCEvent *evt);
  virtual void check (LCEvent *evt);
  virtual void end();

 private:
  std::string _outfileName;
};

#endif // PADGEOMETRYCHECKER_H
