#ifndef DUMP_HITS_PROCESSOR_H
#define DUMP_HITS_PROCESSOR_H 1

//LCIO
#include <lcio.h>

//MARLIN
#include <marlin/Processor.h>

namespace marlintpc
{

    /** Dump the coordinates of all hits in the hits collection.
     *  This is easier to read than the output of dumpevent.
     *
     *  @author Martin Killenberg, University of Bonn
     */
    class DumpHitsProcessor : public marlin::Processor{
			      
    public:
    
	virtual Processor*  newProcessor() { return new DumpHitsProcessor ; }
    
	DumpHitsProcessor();

	virtual void processEvent( LCEvent * evt ) ; 
    
    protected:

     std::string _inputColName ;    ///< the name of the input collection

    };
}

#endif // DUMP_HITS_IN_TRACKS_PROCESSOR_H
