#ifndef DUMP_RESIDUALS_PROCESSOR_H
#define DUMP_RESIDUALS_PROCESSOR_H 1

//LCIO
#include <lcio.h>

//MARLIN
#include "marlin/Processor.h"

namespace marlintpc
{

    class TrackFitterBase;

    /** Dump the residuals of the hits in the tracks.
     *  Remember that LCIO::TRBIT_HITS has to be set, so the hits are stored.
     *
     *  @author Martin Killenberg, University of Bonn
     */
    class DumpResidualsProcessor : public marlin::Processor{
			      
    public:
    
	virtual Processor*  newProcessor() { return new DumpResidualsProcessor ; }
    
	DumpResidualsProcessor();

	virtual void processRunHeader( EVENT::LCRunHeader* run ) ;

	virtual void processEvent( LCEvent * evt ) ; 
    
    protected:

     std::string _inputColName ;    ///< the name of the input collection
     
     TrackFitterBase *trackFitter;
    };
}

#endif // DUMP_RESIDUALS_PROCESSOR_H
